import React from 'react';
import PropTypes from 'prop-types';
import { uaaRequest } from '@/webPublic/one_stop_public/utils/request';
import ZdyTable from '@/webPublic/one_stop_public/Table';

export default class AddOrEditForm extends React.Component {
  static propTypes = {
    code: PropTypes.string.isRequired,
    form: PropTypes.object.isRequired,
  };

  constructor(props) {
    super(props);
    this.state = {
      data: null,
    };
  }

  componentDidMount() {
    this.queryTemplate();
  }

  componentDidUpdate(prevProps) {

    if (prevProps.code !== this.props.code) {
      this.queryTemplate();
    }
  }

  queryTemplate = () => {
    const { code } = this.props;
    uaaRequest('/UnifiedServicePatternApi/getDetail', { code }).then(res => {
      if (res) {
        this.setState({ data: res });
      }
    });
  };

  render() {
    const { data } = this.state;
    const { form, content = {} } = this.props;
    return (
      data && (
        <ZdyTable
          get="web"
          isCg="yes"
          postData={{ content: JSON.stringify(content), unifiedServicePatternModel: data }}
          form={form}
        />
      )
    );
  }
}
