import React from 'react';
import { Modal } from 'antd';

import AddOrEditFormTemplate from './AddOrEditFormTemplate';

const CreateForm = props => {
  const {
    modalVisible,
    handleAdd,
    isAdd,
    handleModalVisible,
    content,
    form,
    templateCode,
  } = props;

  // 通过回调
  const okHandle = () => {
    handleAdd({}, isAdd);
  };

  return (
    <Modal
      width="1000px"
      maskClosable={false}
      destroyOnClose
      title={isAdd ? '新增' : '编辑'}
      visible={modalVisible}
      onOk={okHandle}
      onCancel={handleModalVisible}
    >
      <AddOrEditFormTemplate form={form} content={content} code={templateCode} />
    </Modal>
  );
};

export default CreateForm;
